org.kie.api.runtime.process

## Interface WorkflowProcessInstance

- All Superinterfaces:
    EventListener, NodeInstanceContainer, ProcessInstance

      public interface WorkflowProcessInstance
      extends ProcessInstance, NodeInstanceContainer

  A workflow process instance represents one specific instance of a workflow process that is currently executing. It is an extension of a `ProcessInstance` and contains all runtime state related to the execution of workflow processes.
  See Also:
    `ProcessInstance`

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.runtime.process.ProcessInstance

      `SLA_ABORTED, SLA_MET, SLA_NA, SLA_PENDING, SLA_VIOLATED, STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getVariable(String name)` Returns the value of the variable with the given name.
    `void` | `setVariable(String name, Object value)`

    - ### Methods inherited from interface org.kie.api.runtime.process.ProcessInstance

      `getId, getParentProcessInstanceId, getProcess, getProcessId, getProcessName, getState`

    - ### Methods inherited from interface org.kie.api.runtime.process.EventListener

      `getEventTypes, signalEvent`

    - ### Methods inherited from interface org.kie.api.runtime.process.NodeInstanceContainer

      `getNodeInstance, getNodeInstances`

- - ### Method Detail

    - #### getVariable

          Object getVariable(String name)

      Returns the value of the variable with the given name. Note that only variables in the process-level scope will be searched. Returns `null` if the value of the variable is null or if the variable cannot be found.
      Parameters:
        `name` - the name of the variable
      Returns:
        the value of the variable, or `null` if it cannot be found

    - #### setVariable

          void setVariable(String name,
                           Object value)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.